commit 0bc256f8e1ae6db423c167f15ffdd126fd8199f9
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Fri Dec 10 12:39:26 2021

    libstdc++: Fix definition of _GLIBCXX_NO_SLEEP config macro
    
    If no OS function to sleep (e.g. nanosleep, usleep, Win32 Sleep etc.) is
    available then configure defines the macro NO_SLEEP. But this will not
    get prefixed with "_GLIBCXX_" because include/Makefile.am only does that
    for macros beginning with "HAVE_". The configure script should define
    _GLIBCXX_NO_SLEEP instead (which is what the code actually checks for).
    
    libstdc++-v3/ChangeLog:
    
            * acinclude.m4 (GLIBCXX_ENABLE_LIBSTDCXX_TIME): Add _GLIBCXX_
            prefix to NO_SLEEP macro.
            * config.h.in: Regenerate.
            * configure: Regenerate.
    
    (cherry picked from commit ca1c7065e9de04ceb521a0b409071275c5690341)

diff --git a/libstdc++-v3/acinclude.m4 b/libstdc++-v3/acinclude.m4
index 1c0a4c13052..56405328844 100644
--- a/libstdc++-v3/acinclude.m4
+++ b/libstdc++-v3/acinclude.m4
@@ -1639,7 +1639,7 @@ AC_DEFUN([GLIBCXX_ENABLE_LIBSTDCXX_TIME], [
   fi
 
   if test x"$ac_no_sleep" = x"yes"; then
-    AC_DEFINE(NO_SLEEP,1, [Defined if no way to sleep is available.])
+    AC_DEFINE(_GLIBCXX_NO_SLEEP,1, [Defined if no way to sleep is available.])
   fi
 
   AC_SUBST(GLIBCXX_LIBS)
diff --git a/libstdc++-v3/config.h.in b/libstdc++-v3/config.h.in
index 37b56b82b0e..61c342681d4 100644
--- a/libstdc++-v3/config.h.in
+++ b/libstdc++-v3/config.h.in
@@ -714,9 +714,6 @@
    */
 #undef LT_OBJDIR
 
-/* Defined if no way to sleep is available. */
-#undef NO_SLEEP
-
 /* Name of package */
 #undef PACKAGE
 
@@ -838,6 +835,9 @@
 /* Define if C99 llrint and llround functions are missing from <math.h>. */
 #undef _GLIBCXX_NO_C99_ROUNDING_FUNCS
 
+/* Defined if no way to sleep is available. */
+#undef _GLIBCXX_NO_SLEEP
+
 /* Define if ptrdiff_t is int. */
 #undef _GLIBCXX_PTRDIFF_T_IS_INT
 
